function [OmegaCa] = Omega(Cat,alpha1,alpha2,beta1,beta2)
%This is the second part of the function that defines how calcium
%concentration is translated into synaptic weight change.

%it is simply a function of the calcium concentration.
OmegaCa = Sig((Cat - alpha2),beta2) - 0.25*Sig((Cat - alpha1),beta1);