
function [] = PlotEPSPs(start,finish,interval)
B1 = findobj(gcf,'Tag','S')
S = str2num(get(B1,'String'))
B2 = findobj(gcf,'Tag','Tau1ep')
Tau1ep = str2num(get(B2,'String'))
B3 = findobj(gcf,'Tag','Tau2ep')
Tau2ep = str2num(get(B3,'String'))
BPplot = zeros(floor((finish-start)/interval),1);
Atplot = zeros(floor((finish-start)/interval),1);
Btplot = zeros(floor((finish-start)/interval),1);
BPplot(1) = 0;
Atplot(1) = 0;
Btplot(1) = 0;
PreTrain = zeros((finish-start),1);
PreTrain(1) = 1;
BPplot(1) = 0;
axisplot(1) = 0;
h = waitbar(0,'Please wait...');
for i = start:interval:finish
   
    waitbar(i/finish)
    bpl = length(BPplot);
    [BPplot(bpl+1),Atplot(bpl+1),Btplot(bpl+1)] = EPSP(Atplot(bpl),Btplot(bpl),i,interval,PreTrain,S,Tau1ep,Tau2ep,BPplot(bpl));
     axisplot(bpl+1) = i/10;
end
close(h)
plot(axisplot,BPplot)
xlabel('Time lag (ms)')
ylabel('EPSP response')
title('EPSP response over different time lags')