function [] = PlotOmega(start,finish,interval)
B1 = findobj(gcf,'Tag','alpha1')
alpha1 = str2num(get(B1,'String'))
B2 = findobj(gcf,'Tag','alpha2')
alpha2 = str2num(get(B2,'String'))
B3 = findobj(gcf,'Tag','beta1')
beta1 = str2num(get(B3,'String'))
B4 = findobj(gcf,'Tag','beta2')
beta2 = str2num(get(B4,'String'))
BPplot = zeros(floor((finish-start)/interval),1);
BPplot(1) = 0;
BPplot = zeros(floor((finish-start)/interval),1);
BPplot(1) = 0;
h = waitbar(0,'Please wait...');
for i = start:interval:finish
    
    waitbar(i/finish)
    bpl = length(BPplot);
    BPplot(bpl+1) = Omega(i,alpha1,alpha2,beta1,beta2)
    axis(bpl+1) = i; 
    
end
close(h)
plot(axis,BPplot)
xlabel('Calcium Concentration')
ylabel('Omega')
title('Omega function over different calcium levels')