clear W Wd Ca Cad V EPSPs BPAPs Inmdas lastIndex i cap capac bp vp imp ep
Wd(1) = 0;
W(1) = 0.25;
Cad(1) = 0;
Ca(1) = 0;
V(1) = -65/1000;
EPSPs = [0 1 1 0];
BPAPs(1) = 0;
Inmdas(1) = 0;
deltaT = 500;
%PreTrain = [1];
PreTrain = P0C1;
PostTrain = P1C9;
%PreTrain = PreTest;
%PostTrain = PostTest;
lastIndex = max(max(PreTrain),max(PostTrain));
tic
for i = 2:deltaT:lastIndex
   i
   ep = size(EPSPs,1);
   [EPSPs(ep+1,1),EPSPs(ep+1,2),EPSPs(ep+1,3)] = EPSP(EPSPs(ep,2),EPSPs(ep,3),i,deltaT,PreTrain);
   bp = length(BPAPs);
   BPAPs(bp+1) = BPAP(BPAPs(bp),i,deltaT,PostTrain);
   vp = length(V);
   V(vp+1) = V(1) + (EPSPs(ep+1,1)) + (BPAPs(bp+1));
   imp = length(Inmdas);
   Inmdas(imp+1) = Inmda(i,PreTrain,deltaT,V(vp+1));
   cap = length(Cad);
   capac = length(Ca);
   Cad(cap+1) = dCaDt(Inmdas(imp+1),Ca(capac));
   Ca(capac+1) = Ca(capac) + (deltaT/1000)*((Cad(cap) + Cad(cap+1))/2);
   wp = length(Wd);
   wpac = length(W);
   Wd(wp+1) = Wdot(Ca(capac+1),W(wpac));
   W(wpac+1) = W(wpac) + (deltaT/1000)* ((Wd(wp) + Wd(wp+1))/2);
end
toc

subplot(2,3,1); plot(EPSPs(:,1))
xlabel('time (ms)')
ylabel('Voltage (mV)')
title('EPSPs at the pre synaptic synapse')
subplot(2,3,2); plot(BPAPs)
xlabel('time (ms)')
ylabel('Voltage (mV)')
title('BPAPs at the post synaptic synapse')
subplot(2,3,3); plot(V)
xlabel('time (ms)')
ylabel('Voltage (mV)')
title('Membrane potential of the post synaptic synapse')
subplot(2,3,4); plot(Inmdas)
xlabel('time (ms)')
ylabel('Current')
title('Calciun current through the NMDA receptors')
subplot(2,3,5); plot(Ca)
xlabel('time (ms)')
ylabel('Concentration')
title('Calcium concentration in the post synaptic terminal')
subplot(2,3,6); plot(W)
xlabel('time (ms)')
ylabel('Synaptic Strength')
title('Synaptic strength between pren and post synaptic terminals')