%function [BPplot] = PlotBPAP(IFBf,TauFBs,TauSBs,start,finish,interval)
function [BPplot] = PlotBPAP(start,finish,interval)
B1 = findobj(gcf,'Tag','BPAPIfBf')
IFBf = str2num(get(B1,'String'))
B2 = findobj(gcf,'Tag','BPAPTauFBs')
TauFBs = str2num(get(B2,'String'))
B3 = findobj(gcf,'Tag','BPAPTauSBs')
TauSBs = str2num(get(B3,'String'))
BPplot = zeros(floor((finish-start)/interval),1);
BPplot(1) = 0;
PostTrain = zeros((finish-start),1);
PostTrain(1) = 1;
BPplot(1) = 0;

h = waitbar(0,'Please wait...');
for i = start:interval:finish
    waitbar(i/finish)
    bpl = length(BPplot);
    BPplot(bpl+1) = BPAP(BPplot(bpl),i,interval,PostTrain,IFBf,TauFBs,TauSBs);
    axisplot(bpl+1) = i/10;
end
close(h)
plot(axisplot,BPplot)
xlabel('time lag (ms)')
ylabel('BPAP response')
title('BPAP response over time')