function [BPplot] = PlotETA(start,finish,interval)
B1 = findobj(gcf,'Tag','P1')
P1 = str2num(get(B1,'String'))
B2 = findobj(gcf,'Tag','P2')
P2 = str2num(get(B2,'String'))
B3 = findobj(gcf,'Tag','P3')
P3 = str2num(get(B3,'String'))
B4 = findobj(gcf,'Tag','P4')
P4 = str2num(get(B4,'String'))
BPplot = zeros(floor((finish-start)/interval),1);
BPplot(1) = 0;
axisplot(1) = 0;
h = waitbar(0,'Please wait...');
finish = 2;
for i = start:interval:finish
    
    waitbar(i/finish)
    bpl = length(BPplot);
    BPplot(bpl+1) = eta(i,P1,P2,P3,P4)
    axisplot(bpl+1) = i; 
end
close(h)
figure;
plot(axisplot,BPplot)
xlabel('Calcium Concentration')
ylabel('Eta')
title('Eta function over different calcium levels')