function [] = PlotInmda(start,finish,interval)
B1 = findobj(gcf,'Tag','InmdaVr')
Vr = str2num(get(B1,'String'))
B2 = findobj(gcf,'Tag','InmdaTauS')
TauS = str2num(get(B2,'String'))
B3 = findobj(gcf,'Tag','InmdaTauF')
TauF = str2num(get(B3,'String'))
B4 = findobj(gcf,'Tag','InmdaP0')
P0 = str2num(get(B4,'String'))
B5 = findobj(gcf,'Tag','InmdaI_f')
I_f = str2num(get(B5,'String'))
B5 = findobj(gcf,'Tag','Gnmda')
Gnmda = str2num(get(B5,'String'))
Inmdaplot = []

PreTrain = zeros((finish-start),1);
PreTrain(1) = 1;
icount = 0;
jcount = 0;
axisploti(1) = 0;
axisplotj(1) = 0;
h = waitbar(0,'Please wait...');
for i = start:interval:finish
    axisploti(length(axisploti)+1) = i;
    waitbar(i/finish)
    icount = icount + 1;
    jcount = 0;
    
    for j = -0.065:0.01:0.130
        axisplotj(length(axisplotj)+1) = j;
        jcount = jcount+1;
    
    Inmdaplot(icount,jcount) = Inmda(i,PreTrain,interval,j,TauF,TauS,Vr,I_f,P0,Gnmda,0,0);
    end
end
close(h)
contourf(Inmdaplot)
xlabel('Time (ms)')
ylabel('Voltage')
title('Inmda with different times and voltage')
colorbar