%function [BPplot] = PlotBPAP(IFBf,TauFBs,TauSBs,start,finish,interval)
function [BPplot] = PlotTheta(start,finish,interval)
B1 = findobj(gcf,'Tag','InmdaI_f')
InmdaI_f = str2num(get(B1,'String'))
B2 = findobj(gcf,'Tag','InmdaTauS')
InmdaTauS = str2num(get(B2,'String'))
B3 = findobj(gcf,'Tag','InmdaTauF')
InmdaTauF = str2num(get(B3,'String'))
BPplot = zeros(floor((finish-start)/interval),1);
BPplot(1) = 0;
PostTrain = zeros((finish-start),1);
PostTrain(1) = 1;
BPplot(1) = 0;

h = waitbar(0,'Please wait...');
for i = start:interval:finish
    waitbar(i/finish)
    bpl = length(BPplot);
    BPplot(bpl+1) = Theta(BPplot(bpl),i,interval,PostTrain,InmdaI_f,InmdaTauF,InmdaTauS);
    axisplot(bpl+1) = i/10;
end
close(h)
plot(axisplot,BPplot)
xlabel('time lag (ms)')
ylabel('theta response')
title('theta response over time')