function [etaT] = eta(cat,P1,P2div,P3,P4)
%This is one part of the functions that describe how calcium concentration
%is transformed into synaptic weight change.

%P2 is defined by P1 and a divisor
P2 = P1/P2div;
%we then caclcualte tau
tau = (P1/(P2 + cat^(P3))) + P4;
%and use this to calculate eta at time T
etaT = 1/tau;